/*! *****************************************************************************
Copyright (c) JDJR Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0
Author: kemao 2018-11-29 19:34:21

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
import * as React from "react";
import { IPageProps } from "./ReactControllerDto";
export declare class HTML extends React.Component<IPageProps, any> {
    /**
     *
     * 页面渲染
     * @returns
     * @memberOf Page
     */
    render(): JSX.Element;
    /**
     * 处理meta
     */
    renderMeta(): JSX.Element[];
    renderTitle(): any;
    renderHeadScript(): any[];
    /**
     * 外链样式渲染
     * @returns
     * @memberOf Page
     */
    renderLink(): any[];
    /**
     * 外链脚本渲染
     * @returns
     * @memberOf Page
     */
    renderScript(): any[];
}
