/*! *****************************************************************************
Copyright (c) JDJR Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0
Author: kemao 2018-11-29 18:29:00

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
import * as ApplicationDto from "./ApplicationDto";
export declare class Application {
    static appName: any;
    static appVersion: any;
    static getConstant(): typeof ApplicationDto;
    /**
     * 多次调用，不防异步
     */
    static ready(): typeof Application;
    static getVersion(): string;
    static getPackageName(): any;
    /**
     * 获取完整的带版本号的包名
     * @example kemao-lark@6.0.0
     */
    static getFullPackageName(): string;
    static getLarkServer(): string;
    static getRemoteServer(): string;
    static getLocalServer(): string;
    static setDebug(debug: boolean): void;
    static isDebug(): boolean;
    private static init;
    private static debug;
    private static port;
    private static host;
    private static version;
    private static constant;
}
