/*! *****************************************************************************
Copyright (c) JDJR Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0
Author: kemao 2018-11-29 16:22:25

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
/// <reference types="node" />
import * as HTTP from "http";
export declare class WebServer {
    private httpServer;
    private CONFIG;
    private controllerList;
    initCONFIG(): void;
    getRouterLarkResponse(request: any): Promise<any>;
    router(request: HTTP.IncomingMessage, response: HTTP.ServerResponse): Promise<void>;
    /**
     * 启动服务
     */
    startup(): Promise<void>;
    listenHTTP(): Promise<{}>;
    addController(controller: any): this;
    private getParserLarkResponse;
}
